GuideLab API

Get hold requirements for order

Returns the active hold and its file reupload requirements for an order. Accessible by both labs and clinics with access to the order. Returns null if no active hold exists.

GET
/orders/{id}/hold-requirements

Returns the active hold and its file reupload requirements for an order. Accessible by both labs and clinics with access to the order. Returns null if no active hold exists.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Response Body

application/json

curl -X GET "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/hold-requirements"
{  "hold": {    "id": "string",    "orderId": "string",    "holdReasonName": "string",    "notes": "string",    "previousStatus": "string",    "status": "string",    "createdAt": "string",    "requirements": [      null    ]  },  "requirements": [    null  ]}
Empty
Empty
Empty